<?php

if (!defined('XOOPS_ROOT_PATH')) exit();

require_once XOOPS_ROOT_PATH . "/class/XCube_ActionForm.class.php";
require_once XOOPS_MODULE_PATH . "/base/class/Legacy_Validator.class.php";

require_once XOOPS_MODULE_PATH . "/base/forms/SearchShowallForm.class.php";

class Legacy_SearchShowallbyuserForm extends Legacy_SearchShowallForm
{
	function prepare($keywordMin)
	{
		parent::prepare();
		
		//
		// Set form properties
		//
		$this->mFormProperties['uid'] =& new XCube_IntProperty('uid');
	}
	
	function update(&$params)
	{
		parent::update($params);
		$params['uid'] = $this->get('uid');
	}
}

?>
